//CRawDiffuseShader - [2020-04-13 11:57:47]
#ifndef _CRAWDIFFUSESHADER_H_
#define _CRAWDIFFUSESHADER_H_

#include "common.h"
#include "CFTTUberShader.h"

/*
001D03AC CRawDiffuseShader::CRawDiffuseShader()
001D03B8 CRawDiffuseShader::~CRawDiffuseShader()
001AE1F4 CRawDiffuseShader::SetVDC(CFTTTexParam aTexParam)
001AE208 CRawDiffuseShader::SetRaw(CFTTTexParam aTexParam)
001AE21C CRawDiffuseShader::SetFace(CFTTVector32 const& pVector32)
001AE228 CRawDiffuseShader::SetMultiX(CFTTVector32 const& pVector32)
001AE234 CRawDiffuseShader::SetMultiY(CFTTVector32 const& pVector32)
001D03BC CRawDiffuseShader::CreateMat()
*/

class CRawDiffuseShader : public CFTTUberShader {
public:
  CRawDiffuseShader();                            //001D03AC
  ~CRawDiffuseShader();                           //001D03B8
  void SetVDC(CFTTTexParam aTexParam);            //001AE1F4
  void SetRaw(CFTTTexParam aTexParam);            //001AE208
  void SetFace(CFTTVector32 const& pVector32);    //001AE21C
  void SetMultiX(CFTTVector32 const& pVector32);  //001AE228
  void SetMultiY(CFTTVector32 const& pVector32);  //001AE234
  ushort CreateMat();                             //001D03BC

  static CRawDiffuseShader s_tInstance;
};

#endif  //_CRAWDIFFUSESHADER_H_